#define Analyze_cxx
#include "AnalyzeExample.h"
#include "TH2.h"
#include "TStyle.h"
#include "TCanvas.h"

void Analyze::Loop()
{
//   In a Root session, you can do:
//      Root > .L Analyze.C
//      Root > Analyze t
//      Root > t.GetEntry(12); // Fill t data members with entry number 12
//      Root > t.Show();       // Show values of entry 12
//      Root > t.Show(16);     // Read and show values of entry 16
//      Root > t.Loop();       // Loop on all entries
//

//     This is the loop skeleton
//       To read only selected branches, Insert statements like:
// METHOD1:
//    fChain->SetBranchStatus("*",0);  // disable all branches
//    fChain->SetBranchStatus("branchname",1);  // activate branchname
// METHOD2: replace line
//    fChain->GetEntry(i);  // read all branches
//by  b_branchname->GetEntry(i); //read only this branch
   if (fChain == 0) return;

   Int_t nentries = Int_t(fChain->GetEntries());

   // Define histograms here.
   TH1F* zHist = new TH1F("zHist","z distribution [cm]",100,0.,100.);

   Int_t nbytes = 0, nb = 0;
   for (Int_t jentry=0; jentry<nentries;jentry++) {
      Int_t ientry = LoadTree(jentry); //in case of a TChain, ientry is the entry number in the current file
      nb = fChain->GetEntry(jentry);   nbytes += nb;
      if (Cut(ientry) < 0) continue;

      // At this point we've passed the cuts.
      // Fill histograms (or any other analysis code.
      zHist->Fill(zv);
   }

   // We've looped through the tree.  Do any post-processing here.
   zHist->Draw("e1");

}

// WGS: Put the Cut routine in Analyze.C so it's easier for a student
// to edit.
Int_t Analyze::Cut(Int_t entry)
{
  // This function may be called from Loop.
  // returns  1 if entry is accepted.
  // returns -1 otherwise.

  // Example of a cut:
  Float_t pt = sqrt(px*px + py*py);
  Float_t theta = atan(pt/pz);
  if (chi2 < 1.5  &&  theta < 0.15)
    return 1;
  else
    return -1;
}
