//////////////////////////////////////////////////////////
//   This class has been automatically generated 
//     (Mon Jun  4 15:32:55 2001 by ROOT version3.00/06)
//   from TTree tree1/Reconstruction ntuple
//   found on file: /a/home/tanya/seligman/root-class/tree.root
//////////////////////////////////////////////////////////


#ifndef Analyze_h
#define Analyze_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>

class Analyze {
   public :
   TTree          *fChain;   //pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //current Tree number in a TChain
//Declaration of leaves types
   Int_t           event;
   Float_t         ebeam;
   Float_t         px;
   Float_t         py;
   Float_t         pz;
   Float_t         zv;
   Float_t         chi2;

//List of branches
   TBranch        *b_event;
   TBranch        *b_ebeam;
   TBranch        *b_px;
   TBranch        *b_py;
   TBranch        *b_pz;
   TBranch        *b_zv;
   TBranch        *b_chi2;

   Analyze(TTree *tree=0);
   ~Analyze();
   Int_t  Cut(Int_t entry);
   Int_t  GetEntry(Int_t entry);
   Int_t  LoadTree(Int_t entry);
   void   Init(TTree *tree);
   void   Loop();
   Bool_t Notify();
   void   Show(Int_t entry = -1);
};

#endif

#ifdef Analyze_cxx
Analyze::Analyze(TTree *tree)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("/a/home/tanya/seligman/root-class/tree.root");
      if (!f) {
         f = new TFile("/a/home/tanya/seligman/root-class/tree.root");
      }
      tree = (TTree*)gDirectory->Get("tree1");

   }
   Init(tree);
}

Analyze::~Analyze()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t Analyze::GetEntry(Int_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Int_t Analyze::LoadTree(Int_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Int_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->IsA() != TChain::Class()) return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void Analyze::Init(TTree *tree)
{
//   Set branch addresses
   if (tree == 0) return;
   fChain    = tree;
   fCurrent = -1;

   fChain->SetBranchAddress("event",&event);
   fChain->SetBranchAddress("ebeam",&ebeam);
   fChain->SetBranchAddress("px",&px);
   fChain->SetBranchAddress("py",&py);
   fChain->SetBranchAddress("pz",&pz);
   fChain->SetBranchAddress("zv",&zv);
   fChain->SetBranchAddress("chi2",&chi2);
   Notify();
}

Bool_t Analyze::Notify()
{
//   called when loading a new file
//   get branch pointers
   b_event = fChain->GetBranch("event");
   b_ebeam = fChain->GetBranch("ebeam");
   b_px = fChain->GetBranch("px");
   b_py = fChain->GetBranch("py");
   b_pz = fChain->GetBranch("pz");
   b_zv = fChain->GetBranch("zv");
   b_chi2 = fChain->GetBranch("chi2");
   return kTRUE;
}

void Analyze::Show(Int_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
#endif // #ifdef Analyze_cxx

